## haskell-polyparse 1.4

=== debian/changelog ===
haskell-polyparse (1.4-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 12:33:23 -0400

haskell-polyparse (1.4-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Sun, 05 Jun 2011 18:28:47 +0100

haskell-polyparse (1.4-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Erik de Castro Lopo ]
  * New upstream.

  [ Joachim Breitner ]
  * Priority: extra

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 May 2011 11:22:21 +0100

haskell-polyparse (1.3-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/control :
    - Maintainer is now Debian Haskell Group.
    - Add Vcs-Darcs.
    - Standards version 3.8.3.
  
  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Use comma in the beginning of the line.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use debian/compat 7.
  * debian/control: Use more sintetic link in Homepage:.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 17:52:49 +0100

haskell-polyparse (1.3-1) unstable; urgency=low

  * Initial debian package. Closes: #533623.
  
 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 19 Jun 2009 20:42:04 +1000
