=== debian/control ===
Source: haskell-polyparse
Priority: optional
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 , debhelper (>= 7)
 , haskell-devscripts (>= 0.7)
 , cdbs
 , ghc (>= 6.10.3)
 , ghc-prof
 , ghc-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/polyparse
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A variety of alternative parser combinator libraries for Haskell
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for haskell-polyparse
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc-polyparse-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for haskell-polyparse
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.
