=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends:
- , debhelper (>= 7)
- , haskell-devscripts (>= 0.7)
+ , debhelper (>= 9)
+ , haskell-devscripts (>= 0.8.13)
  , cdbs
  , ghc (>= 6.10.3)
  , ghc-prof
  , ghc-doc
-Standards-Version: 3.8.4
+ , libghc-text-dev
+ , libghc-text-prof
+Standards-Version: 3.9.4
+ , libghc-text-doc
 Homepage: http://hackage.haskell.org/package/polyparse
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse
@@ -30,7 +33,7 @@
  Text.Parse is a proposed replacement for the standard Read class, for better
  deserialisation of Haskell values from Strings.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-polyparse-prof
 Architecture: any
@@ -47,7 +50,7 @@
  Text.Parse is a proposed replacement for the standard Read class, for better
  deserialisation of Haskell values from Strings.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-polyparse-doc
 Section: doc
