## haskell-polyparse 1.9

=== debian/changelog ===
haskell-polyparse (1.9-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Raúl Benencia ]
  * New upstream release
  * Bump standards version, no change
  * Remove empty paragraph from Description fields

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 11 Apr 2014 19:25:57 -0300
