=== debian/control ===
Source: haskell-polyparse
Priority: optional
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 , debhelper (>= 9)
 , haskell-devscripts (>= 0.8.13)
 , cdbs
 , ghc (>= 6.10.3)
 , ghc-prof
 , ghc-doc
 , libghc-text-dev
 , libghc-text-prof
 , libghc-text-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/polyparse
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: alternative parser combinator libraries for Haskell
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for haskell-polyparse
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-polyparse-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: documentation for haskell-polyparse
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains documentation for polyparse library.
