## haskell-polyparse 1.13

=== debian/changelog ===
haskell-polyparse (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 08:39:55 -0400
