=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-text-dev,
- libghc-text-prof,
-Build-Depends-Indep: ghc-doc, libghc-text-doc
+Build-Depends-Indep: ghc-doc
 Standards-Version: 4.1.4
 Homepage: http://code.haskell.org/~malcolm/polyparse/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-polyparse
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-polyparse]
 X-Description: alternative parser combinator libraries for Haskell
  Alternative parser combinator libraries, including the original
  HuttonMeijer set. The Poly sets have features like good error reporting,
