=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.6),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.1.4
-Homepage: http://code.haskell.org/~malcolm/polyparse/
+Standards-Version: 4.7.0
+Homepage: https://hackage.haskell.org/package/polyparse
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-polyparse
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-polyparse]
 X-Description: alternative parser combinator libraries for Haskell
